<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.RefundRecordMapper">

    <resultMap type="com.ssm.manage.entity.RefundRecord" id="RefundRecordMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="rechargeId" column="recharge_id" jdbcType="INTEGER"/>
        <result property="memberId" column="member_id" jdbcType="INTEGER"/>
        <result property="memberName" column="member_name" jdbcType="VARCHAR"/>
        <result property="rechargeTypeId" column="recharge_type_id" jdbcType="INTEGER"/>
        <result property="rechargeTypeName" column="recharge_type_name" jdbcType="VARCHAR"/>
        <result property="rechargeDate" column="recharge_date" jdbcType="TIMESTAMP"/>
        <result property="rechargeAmount" column="recharge_amount" jdbcType="NUMERIC"/>
        <result property="collectionAmount" column="collection_amount" jdbcType="NUMERIC"/>
        <result property="refundDebtMoney" column="refund_debt_money" jdbcType="NUMERIC"/>
        <result property="rechargeGiftAmount" column="recharge_gift_amount" jdbcType="NUMERIC"/>
        <result property="isReceived" column="is_received" jdbcType="INTEGER"/>
        <result property="amountRefunded" column="amount_refunded" jdbcType="NUMERIC"/>
        <result property="isDeduct" column="is_deduct" jdbcType="INTEGER"/>
        <result property="amountGiftRefunded" column="amount_gift_refunded" jdbcType="NUMERIC"/>
    </resultMap>



</mapper>

